package com.its.pis.entity;

import com.its.app.utils.SysUtils;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
public class TbPrkPlceStts {

	private String PRK_PLCE_NMBR;
	private String UPDT_DT;
	private String CMNC_STTS_CD;

	public TbPrkPlceStts() {
		initStts(false);
	}
	
	public void initStts(boolean isConnected) {
		String CMNC_STTS_CD = isConnected ? "CMS0" : "CMS1";
		
		this.UPDT_DT       = SysUtils.getSysTime();
		this.CMNC_STTS_CD  = CMNC_STTS_CD;
	}
}
